<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__lpa__wifi__ol__debug_8h" kind="file" language="C++">
    <compoundname>cy_lpa_wifi_ol_debug.h</compoundname>
    <includedby local="yes" refid="cy__lpa__wifi__arp__ol_8c">cy_lpa_wifi_arp_ol.c</includedby>
    <includedby local="yes" refid="cy__lpa__wifi__olm_8c">cy_lpa_wifi_olm.c</includedby>
    <includedby local="yes" refid="cy__lpa__wifi__pf__ol_8c">cy_lpa_wifi_pf_ol.c</includedby>
    <includedby local="yes" refid="cy__lpa__wifi__tko__ol_8c">cy_lpa_wifi_tko_ol.c</includedby>
      <sectiondef kind="define">
      <memberdef id="cy__lpa__wifi__ol__debug_8h_1a53e039ad147b1fffbd59a89d840ceae6" kind="define" prot="public" static="no">
        <name>OL_DEBUG_H__</name>
        <initializer>(1)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_debug.h" bodystart="18" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_debug.h" line="18" />
      </memberdef>
      <memberdef id="cy__lpa__wifi__ol__debug_8h_1a5f6aa8edcd99914757600b5d3b259bb7" kind="define" prot="public" static="no">
        <name>TRACE</name>
        <param><defname>...</defname></param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_debug.h" bodystart="28" column="10" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_debug.h" line="28" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Debug helper. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#ifndef<sp />OL_DEBUG_H__</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />OL_DEBUG_H__<sp /><sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#if<sp />!defined(USE_TRACE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#define<sp />USE_TRACE<sp />1</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!defined(USE_TRACE)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(USE_TRACE<sp />!=<sp />0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdio.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#define<sp />TRACE(...)<sp />printf(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />TRACE(...)</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal">}</highlight></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!OL_DEBUG_H__<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_ol_debug.h" />
  </compounddef>
</doxygen>